metadata:
  name: tiny-container-system-basic
  format: "Apertis Test Definition 1.0"
  image-types:
    tiny-lxc: [ armhf-internal, armhf, arm64, amd64 ]
  image-deployment:
    - LXC
  type: functional
  exec-type: automated
  priority: medium
  maintainer: "Apertis Project"
  description: "Test of Tiny system-wide privileged container using shared
                networking with the host"

  expected:
    - "Test command should report \"pass\"."

install:
  git-repos:
    - url: https://gitlab.apertis.org/infrastructure/tiny-image-recipes.git
      branch: apertis/v2021dev1

run:
  steps:
    - "# Enter test directory:"
    - cd tiny-image-recipes
    - "# Setup the AppArmor profile for container:"
    - sed s/__NAMESPACE_PLACEHOLDER__/lxc-apertis-tiny-system/g lxc/lxc-tiny-connectivity-profile-template | apparmor_parser -qr
    - "# Check the basic functionality of container:"
    - lavatests/check-tiny-containers -a "$ARCH" -r "$RELEASE" -d "$IMAGE_DATE" -t lxc/lxc-tiny-connectivity --aa-namespace "lxc-apertis-tiny-system"

parse:
  pattern: "(?P<test_case_id>.*-*):\\s+(?P<result>(pass|fail))"
